メモ

app/controllers/projects/blob_controller.rb
の24行目を修正する

file_path = File.join(@path, File.basename(params[:file_name]))
 ↓
file_path = File.join(@path,



params[:file_name])

omniでインストールした場合は以下にRailsのファイル一式あり
/opt/gitlab/embedded/service/gitlab-rails/

修正後は以下で再起動
gitlab-ctl restart
Google Chrome でSSL領域のコンテンツを見ている際に、SSLの警告が表示された。

自分の作ったサイトだったから、「あれ?」と思ってみたら、非SSL領域のコンテンツはなく「??」

[F12]でDeveloper Toolsを立ち上げ、コンソールを見てみると、

エラーの原因のファイルが表示されていた。

最近やった事と言えば、前に使ってた翻訳のExtensionsが利用できなくなったので、

「Auto-Translate」を導入。

これが問題だったらしく、この中で「http://」で始まる画像を読み込んでた。

Local Settingsの下にソースがあるんだけど、これって勝手にカスタマイズしたらまずいよね。(^^;